
def zsort(items):
    """
    Sort a list of items using the Z-sorted algorithm, which is a variant of the insertion sort
    that sorts the list by the number of leading zeros in their binary representation.
    """
    for i in range(1, len(items)):
        key = items[i]
        j = i - 1
        while j >= 0 and bin(items[j]).count('0') > bin(key).count('0'):
            items[j + 1] = items[j]
            j -= 1
        items[j + 1] = key
    return items



